[PATCH] Add support for pulling each component before building it.

Brian Rogers brian at xyzw.org
Sun Feb 1 02:47:39 PST 2009


---
 build.sh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/build.sh b/build.sh
index 2413036..fbaff6e 100755
--- a/build.sh
+++ b/build.sh
@@ -117,6 +117,10 @@ build() {
     old_pwd=`pwd`
     cd $SRCDIR || failed cd1 $1 $2
 
+    if test x"$PULL" = x1; then
+	git pull --rebase || failed "git pull" $1 $2
+    fi
+
     # Build outside source directory
     if [ "x$DIR_ARCH" != x ] ; then
 	mkdir -p "$DIR_ARCH" || failed mkdir $1 $2
@@ -623,6 +627,7 @@ usage() {
     echo "  -g : build with debug information"
     echo "  -n : do not quit after error; just print error message"
     echo "  -o module/component : build just this component"
+    echo "  -p : run git pull on each component"
     echo "  -r module/component : resume building with this comonent"
     echo "  -s sudo-command : sudo command to use"
 }
@@ -668,6 +673,9 @@ do
 	RESUME=$1
 	BUILD_ONE=1
 	;;
+    -p)
+	PULL=1
+	;;
     -r)
 	shift
 	RESUME=$1
-- 
1.6.0.4


--------------080506020405020403040105--


More information about the xorg-devel mailing list